Bug 250033 - hibernate works but sound is non-functional on resume
hibernate works but sound is non-functional on resume
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-29 16:38 EDT by Philip Ashmore
Modified: 2009-01-09 02:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:11:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lshal>lshal.txt (73.99 KB, text/plain)
2007-07-29 16:38 EDT, Philip Ashmore
no flags Details
next to most recent log (30.76 KB, application/octet-stream)
2007-11-07 11:51 EST, Philip Ashmore
no flags Details
most recent log (55 bytes, text/plain)
2007-11-07 11:52 EST, Philip Ashmore
no flags Details
snapshot of kdbg's stack dump window (47.11 KB, image/png)
2008-06-02 01:50 EDT, Philip Ashmore
no flags Details

  None (edit)
Description Philip Ashmore 2007-07-29 16:38:04 EDT
Description of problem:
hibernate works but sound is disabled on resume

Version-Release number of selected component (if applicable):


How reproducible:
very.

Steps to Reproduce:
1. Hibernate (using kpowersave)
2. Power on to resume
3.
  
Actual results:
Sound is disabled

Expected results:
Sound should work as before

Additional info:
My smolt data for Dell Inspiron 8000
http://smolt.fedoraproject.org/show?UUID=780f4114-ba22-4875-ab6a-34113ae3fb75
I tried disabling the sound syatem and restarting it using the control center to
no effect.
Comment 1 Philip Ashmore 2007-07-29 16:38:04 EDT
Created attachment 160206 [details]
lshal>lshal.txt
Comment 2 Philip Ashmore 2007-07-30 09:31:15 EDT
By the way this is in KDE.
I also noticed that after a suspend/resume cycle I couldn't log out of KDE - it
got as far as shutting down the apps but I was left with as black screen and a
mouse cursor - nothing to click on.
Just a few minutes ago I hibernated and resume froze at the screen where it's
supposed to reload the hibernate data - no disk activity.
Comment 3 Philip Ashmore 2007-08-07 21:48:54 EDT
I did a "yum update" from an update repo containing kernel-2.6.22.1-41.fc7.rpm
and sound is back.
It may not have been the first update repo to contain this rpm - sorry I can't
pin it down more precisely.
Comment 4 Philip Ashmore 2007-08-07 23:27:06 EDT
Sorry - my last report was premature - my sound problems are now intermittent.
When I do a cold boot the kcontrol/Sound System/Test Sound works!!! but the
audio System Notifications don't.
Even the Actions/Play a Sound button doesn't play a sound.
Interestingly when I adjust the master volume with the kmix program I can hear
clicks as I move the slider to and from maximum. This seems to 'work' whether
kcontrol or the System Notifications produce any sound.
Once when I restored from hibernate the kcontrol program froze when I tried
anything to do with audio.
Comment 5 Philip Ashmore 2007-08-30 14:10:55 EDT
I can listen to Internet radio using totem movie player so I guess this is an
Alsa / KDE problem.
Comment 6 Till Maas 2007-08-30 14:22:48 EDT
(In reply to comment #5)
> I can listen to Internet radio using totem movie player so I guess this is an
> Alsa / KDE problem.

I guess you mean arts/kde problem, therefore I move this bug over to arts, maybe
they know how to fix this.
Comment 7 Rex Dieter 2007-08-30 14:27:25 EDT
fwiw, I hibernate on my Dell Latitude D620 all the time, and kde/arts survives
just fine.
Comment 8 Till Maas 2007-08-30 15:25:19 EDT
Philip, do you know which kernel module you use for you sound card?
Comment 9 Philip Ashmore 2007-08-30 17:14:21 EDT
snd_maestro3
My sound now works after a hibernate cycle! Here's my yum log since I last had a
problem - I hope it helps.

Aug 08 01:08:15 Installed: rpmdevtools.noarch 5.4-1.fc7
Aug 08 03:49:32 Updated: udev.i386 113-8.fc7
Aug 08 04:09:29 Installed: xine-lib-extras-nonfree.i386 1.1.7-1.lvn7
Aug 08 04:09:32 Installed: xine-lib-extras.i386 1.1.7-1.fc7
Aug 08 04:14:49 Installed: libcdaudio.i386 0.99.12p2-8.fc7
Aug 08 04:15:25 Installed: libsidplay.i386 1.36.57-12.fc7
Aug 08 04:15:56 Installed: mpeg2dec.i386 0.4.1-2.lvn6
Aug 08 04:16:46 Installed: ffmpeg-libs.i386 0.4.9-0.37.20070503.lvn7
Aug 08 04:17:48 Installed: soundtouch.i386 1.3.1-7.fc7
Aug 08 04:18:05 Installed: libmms.i386 0.3-3.lvn7
Aug 08 04:18:12 Installed: gstreamer-plugins-bad.i386 0.10.4-2.lvn7.1
Aug 08 04:18:16 Installed: gstreamer-plugins-ugly.i386 0.10.5-2.lvn7
Aug 08 04:18:17 Installed: gstreamer-ffmpeg.i386 0.10.2-2.lvn7
Aug 08 05:18:51 Installed: libdvdcss.i386 1.2.9-4.lvn6
Aug 08 05:32:13 Installed: a52dec.i386 0.7.4-10.lvn6
Aug 08 23:07:43 Erased: pidgin
Aug 08 23:08:30 Erased: nautilus-sendto
Aug 08 23:08:35 Erased: libpurple
Aug 08 23:11:03 Updated: openssl.i686 0.9.8b-14.fc7
Aug 08 23:11:48 Updated: libvolume_id.i386 113-9.fc7
Aug 08 23:11:59 Updated: spamassassin.i386 3.2.2-2.fc7
Aug 08 23:12:47 Updated: libpcap.i386 14:0.9.7-1.fc7
Aug 08 23:13:42 Updated: lm_sensors.i386 2.10.4-1.fc7
Aug 08 23:13:44 Updated: ftp.i386 0.17-41.fc7
Aug 08 23:13:50 Updated: udev.i386 113-9.fc7
Aug 08 23:13:52 Updated: xorg-x11-xinit.i386 1.0.2-22.fc7
Aug 08 23:14:07 Updated: openssl-devel.i386 0.9.8b-14.fc7
Aug 09 23:24:43 Erased: gnome-games
Aug 09 23:26:52 Updated: chmlib.i386 0.39-3.fc7
Aug 12 23:50:06 Updated: tetex-fonts.i386 3.0-40.1.fc7
Aug 12 23:51:06 Updated: cups-libs.i386 1:1.2.12-4.fc7
Aug 12 23:52:17 Updated: tetex.i386 3.0-40.1.fc7
Aug 12 23:53:01 Updated: tetex-dvips.i386 3.0-40.1.fc7
Aug 12 23:53:03 Updated: gstreamer-tools.i386 0.10.13-0.1.fc7
Aug 12 23:54:01 Updated: gstreamer.i386 0.10.13-0.1.fc7
Aug 12 23:54:37 Updated: vte.i386 0.16.8-1.fc7
Aug 12 23:54:48 Updated: dbus-glib.i386 0.73-2.fc7
Aug 12 23:56:38 Updated: tetex-latex.i386 3.0-40.1.fc7
Aug 12 23:57:05 Updated: cups.i386 1:1.2.12-4.fc7
Aug 12 23:57:31 Updated: pirut.noarch 1.3.9-1.fc7
Aug 14 03:20:32 Updated: selinux-policy.noarch 2.6.4-33.fc7
Aug 14 03:21:32 Updated: selinux-policy-targeted.noarch 2.6.4-33.fc7
Aug 14 03:21:39 Updated: gnupg2.i386 2.0.5-3.fc7
Aug 14 03:21:41 Updated: yum-utils.noarch 1.1.6-1.fc7
Aug 14 03:22:26 Erased: yumex
Aug 14 03:23:21 Installed: yumex.noarch 1.9.11-1.fc7
Aug 16 05:39:02 Installed: libmad.i386 0.15.1b-4.lvn6
Aug 16 05:39:04 Installed: akode-extras.i386 2.0.1-3.lvn7
Aug 16 06:09:25 Installed: lame-libs.i386 3.97-4.lvn7
Aug 16 06:15:23 Updated: kdemultimedia.i386 6:3.5.7-2.fc7
Aug 16 06:15:58 Updated: koffice-libs.i386 1.6.3-9.fc7
Aug 16 06:16:55 Updated: bind-libs.i386 31:9.4.1-9.P1.fc7
Aug 16 06:18:39 Updated: koffice-core.i386 1.6.3-9.fc7
Aug 16 06:19:44 Updated: koffice-kexi.i386 1.6.3-9.fc7
Aug 16 06:20:55 Updated: kdemultimedia-extras.i386 6:3.5.7-2.fc7
Aug 16 06:22:28 Updated: kdemultimedia-extras-nonfree.i386 6:3.5.7-3.lvn7
Aug 16 06:22:31 Updated: bind-utils.i386 31:9.4.1-9.P1.fc7
Aug 16 06:22:49 Updated: speedcrunch.i386 0.8-4.fc7
Aug 16 06:22:59 Updated: nfs-utils.i386 1:1.1.0-3.fc7
Aug 16 06:24:07 Updated: sane-backends-libs.i386 1.0.18-15.fc7
Aug 16 06:25:59 Updated: kdegraphics.i386 7:3.5.7-2.fc7
Aug 16 06:27:33 Updated: kdegraphics-extras.i386 7:3.5.7-2.fc7
Aug 16 06:27:49 Updated: sane-backends.i386 1.0.18-15.fc7
Aug 17 01:56:52 Installed: libxml.i386 1:1.8.17-15.fc6
Aug 17 01:57:44 Installed: ORBit.i386 1:0.5.17-21.fc7
Aug 17 01:57:47 Installed: glib-devel.i386 1:1.2.10-26.fc7
Aug 17 01:57:54 Installed: gtk+-devel.i386 1:1.2.10-57.fc7
Aug 17 01:57:57 Installed: libxml-devel.i386 1:1.8.17-15.fc6
Aug 17 01:58:01 Installed: indent.i386 2.2.9-16.fc7
Aug 17 01:58:04 Installed: ORBit-devel.i386 1:0.5.17-21.fc7
Aug 17 01:58:05 Installed: giflib-devel.i386 4.1.3-8
Aug 17 01:58:07 Installed: imlib-devel.i386 1:1.9.15-2.fc7
Aug 17 01:59:06 Installed: libpng10.i386 1.0.26-1.fc7.1
Aug 17 02:00:00 Installed: gnome-libs.i386 1:1.4.2-5.fc7
Aug 17 02:00:08 Installed: gnome-libs-devel.i386 1:1.4.2-5.fc7
Aug 17 02:00:54 Installed: libglade.i386 1:0.17-19.fc6
Aug 17 02:00:57 Installed: libglade-devel.i386 1:0.17-19.fc6
Aug 17 05:08:46 Installed: flex.i386 2.5.33-9.fc7
Aug 18 23:25:59 Installed: transfig.i386 1:3.2.5-1.fc7
Aug 19 00:01:04 Updated: alsa-lib.i386 1.0.14-2.fc7
Aug 19 00:02:14 Updated: newt.i386 0.52.7-1.fc7
Aug 19 00:02:33 Updated: alsa-lib-devel.i386 1.0.14-2.fc7
Aug 19 00:16:59 Installed: libtool.i386 1.5.22-11.fc7
Aug 19 02:55:22 Installed: latex2html.noarch 2002.2.1-6
Aug 19 04:25:19 Installed: subversion.i386 1.4.3-4
Aug 20 06:42:11 Updated: libvolume_id.i386 113-11.fc7
Aug 20 06:42:19 Updated: gstreamer-plugins-base.i386 0.10.13-1.fc7
Aug 20 06:42:26 Updated: udev.i386 113-11.fc7
Aug 20 06:54:42 Installed: timidity++.i386 2.13.2-1.2.2
Aug 20 06:56:38 Installed: SDL_image.i386 1.2.5-4.fc7
Aug 20 06:56:40 Installed: SDL_gfx.i386 2.0.13-8.fc7
Aug 20 06:56:42 Installed: SDL_Pango.i386 0.1.2-4.fc6
Aug 20 06:56:44 Installed: SDLmm.i386 0.1.8-4.fc7
Aug 20 06:56:45 Installed: SDL_ttf.i386 2.0.8-2.fc6
Aug 20 06:56:48 Installed: SDL_mixer.i386 1.2.7-3.fc7
Aug 20 07:01:58 Installed: texi2html.noarch 1.77-0.1.20070214cvs.fc7
Aug 20 07:20:46 Installed: kqemu-kmdl-2.6.22.1-41.fc7.i586 1.3.0-2.fc7
Aug 20 07:20:51 Installed: kqemu.i386 1.3.0-2.fc7
Aug 20 09:56:00 Installed: SDL-devel.i386 1.2.11-2
Aug 20 09:56:02 Installed: SDL_gfx-devel.i386 2.0.13-8.fc7
Aug 20 09:56:03 Installed: SDL_image-devel.i386 1.2.5-4.fc7
Aug 21 06:59:52 Updated: alsa-lib.i386 1.0.14-3.fc7
Aug 21 07:00:57 Updated: procps.i386 3.2.7-15.fc7
Aug 21 07:01:01 Installed: kde-filesystem.noarch 3.5-11.fc7
Aug 21 07:03:27 Updated: kdelibs.i386 6:3.5.7-20.fc7
Aug 21 07:05:53 Updated: kdebase.i386 6:3.5.7-13.fc7
Aug 21 07:06:25 Updated: kdelibs-devel.i386 6:3.5.7-20.fc7
Aug 21 07:06:34 Updated: spamassassin.i386 3.2.3-1.fc7
Aug 21 07:07:06 Updated: kdebase-extras.i386 6:3.5.7-13.fc7
Aug 21 07:07:21 Updated: alsa-lib-devel.i386 1.0.14-3.fc7
Aug 21 07:07:26 Updated: smartmontools.i386 1:5.37-3.1.fc7
Aug 21 07:07:29 Updated: kdebase-devel.i386 6:3.5.7-13.fc7
Aug 21 14:51:21 Installed: ktorrent.i386 2.2.1-1.fc7
Aug 24 20:25:06 Updated: e2fsprogs-libs.i386 1.40.2-2.fc7
Aug 24 20:26:17 Updated: qt4.i386 4.3.1-3.fc7
Aug 24 20:26:25 Updated: qt4-x11.i386 4.3.1-3.fc7
Aug 24 20:28:00 Updated: libvorbis.i386 1:1.1.2-3.fc7
Aug 24 20:28:10 Updated: selinux-policy.noarch 2.6.4-38.fc7
Aug 24 20:28:52 Updated: pilot-link.i386 2:0.12.2-4.fc7
Aug 24 20:29:01 Updated: bochs.i386 2.3-7.fc7
Aug 24 20:29:41 Updated: opal.i386 2.2.8-5.fc7
Aug 24 20:29:49 Updated: smolt.noarch 0.9.8.4-4.fc7
Aug 24 20:30:08 Updated: gnome-menus.i386 2.19.4-2.fc7
Aug 24 20:30:58 Updated: selinux-policy-targeted.noarch 2.6.4-38.fc7
Aug 24 20:31:12 Updated: tzdata.noarch 2007g-1.fc7
Aug 24 20:32:12 Updated: qt4-devel.i386 4.3.1-3.fc7
Aug 24 20:32:22 Updated: util-linux.i386 2.13-0.54.fc7
Aug 24 20:32:25 Updated: kmenu-gnome.noarch 0.6.7-2.fc7
Aug 24 20:32:29 Updated: libvorbis-devel.i386 1:1.1.2-3.fc7
Aug 24 20:32:30 Updated: groff-perl.i386 1.18.1.4-6.fc7
Aug 24 20:32:37 Updated: groff.i386 1.18.1.4-6.fc7
Aug 24 20:33:59 Installed: kernel.i686 2.6.22.4-65.fc7
Aug 24 20:34:04 Updated: e2fsprogs-devel.i386 1.40.2-2.fc7
Aug 24 20:34:06 Updated: vixie-cron.i386 4:4.1-83.fc7
Aug 24 20:34:10 Updated: e2fsprogs.i386 1.40.2-2.fc7
Aug 24 20:34:17 Updated: kernel-headers.i386 2.6.22.4-65.fc7
Aug 24 20:34:18 Updated: smolt-firstboot.noarch 0.9.8.4-4.fc7
Aug 24 20:36:19 Erased: kqemu
Aug 24 20:36:20 Erased: kqemu-kmdl-2.6.22.1-41.fc7
Aug 27 10:54:46 Installed: liblzo2_2.i386 2.02-4.fc7
Aug 27 10:56:00 Installed: libxvidcore4.i386 1.1.3-11.fc7
Aug 27 10:57:06 Installed: lirc-lib.i386 0.8.3-69_cvs20070806.fc7
Aug 27 10:58:04 Installed: libFLAC8.i386 1.1.4-4_12.fc7
Aug 27 10:59:01 Installed: libFLAC++6.i386 1.1.4-4_12.fc7
Aug 27 10:59:04 Installed: apr-devel.i386 1.2.8-6
Aug 27 10:59:58 Installed: libmpeg2convert0.i386 0.4.1-3.fc7
Aug 27 11:00:57 Installed: libsensors3.i386 2.10.4-50.fc7
Aug 27 11:01:49 Installed: libmpeg2_0.i386 0.4.1-3.fc7
Aug 27 11:02:43 Updated: faad2.i386 2.5-7.fc7
Aug 27 11:02:46 Installed: perl-Error.noarch 1:0.17008-1.fc7
Aug 27 11:03:46 Installed: libraw1394_8.i386 1.2.1-9_10.fc7
Aug 27 11:04:43 Updated: xmms-libs.i386 1:1.2.10-36.99_7.fc7
Aug 27 11:05:46 Updated: fftw.i386 3.1.2-11.fc7
Aug 27 11:06:56 Installed: directfb.i386 1.0.0-1.fc7
Aug 27 11:08:00 Installed: libOggFLAC++2.i386 1.1.4-4_12.fc7
Aug 27 11:08:06 Installed: cyrus-sasl-devel.i386 2.1.22-6
Aug 27 11:09:12 Installed: openldap-devel.i386 2.3.34-3.fc7
Aug 27 11:10:00 Installed: fuse-kmdl-2.6.22.4-65.fc7.i686 2.7.0-3_7.fc7
Aug 27 11:10:04 Installed: perl-TimeDate.noarch 1:1.16-3.2.1
Aug 27 11:10:08 Installed: perl-MailTools.noarch 1.77-1.fc7
Aug 27 11:10:24 Installed: db4-devel.i386 4.5.20-5.fc7
Aug 27 11:11:17 Installed: x264.i386 0-0.8.20061028.lvn7
Aug 27 11:11:21 Installed: razor-agents.i386 2.82-17.fc7
Aug 27 11:11:23 Installed: expat-devel.i386 1.95.8-9
Aug 27 11:11:25 Installed: apr-util-devel.i386 1.2.8-7
Aug 27 11:11:28 Installed: httpd-devel.i386 2.2.4-4.1.fc7
Aug 27 11:11:31 Installed: portaudio.i386 18.1-8.fc6
Aug 27 11:11:33 Installed: perl-version.i386 1:0.7203-1.fc7
Aug 27 11:11:36 Installed: perl-NetAddr-IP.i386 4.004-3.fc7
Aug 27 11:11:39 Installed: perl-Mail-SPF.noarch 2.004-1.fc7
Aug 27 11:11:40 Installed: perl-Crypt-OpenSSL-Random.i386 0.04-2.fc7
Aug 27 11:11:41 Installed: perl-Crypt-OpenSSL-RSA.i386 0.25-1.fc7
Aug 27 11:11:42 Installed: perl-Mail-DomainKeys.noarch 0.21-2.fc7
Aug 27 11:11:48 Installed: libmp4v2.i386 1.5.0.1-3.fc7
Aug 27 11:11:50 Installed: faac.i386 1.25-2.lvn7
Aug 27 11:11:52 Installed: perl-BSD-Resource.i386 1.28-1.fc6.1
Aug 27 11:12:03 Installed: mod_perl.i386 2.0.3-9.1.fc7
Aug 27 11:12:06 Installed: mod_perl-devel.i386 2.0.3-9.1.fc7
Aug 27 11:12:07 Installed: perl-Encode-Detect.i386 1.00-1.1.fc7
Aug 27 11:12:08 Updated: taglib.i386 1.4-5.1.fc7
Aug 27 11:12:11 Installed: perl-Digest-SHA.i386 5.44-5.fc7
Aug 27 11:12:13 Installed: perl-Mail-DKIM.i386 0.24-1.fc7
Aug 27 11:12:14 Installed: pyzor.noarch 0.4.0-11.fc7
Aug 27 11:12:19 Installed: mplayer-fonts.noarch 4:1.0-7.at
Aug 27 11:12:21 Updated: fuse-libs.i386 2.7.0-3_7.fc7
Aug 27 11:12:22 Installed: perl-Net-CIDR-Lite.noarch 0.20-3.fc7
Aug 27 11:12:23 Installed: perl-Mail-SPF-Query.noarch 1.999.1-3.fc7
Aug 27 11:12:27 Installed: DCC.i386 1.3.57-18.fc7
Aug 27 11:12:52 Updated: spamassassin.i386 3.2.3-44.fc7
Aug 27 11:13:34 Installed: libOggFLAC3.i386 1.1.4-4_12.fc7
Aug 27 11:13:43 Updated: flac.i386 1.1.4-4_12.fc7
Aug 27 11:13:49 Updated: mutt.i386 5:1.5.14-4_17.fc7
Aug 27 11:13:49 Updated: lzo.i386 2.02-4.fc7
Aug 27 11:13:54 Updated: fuse.i386 2.7.0-3_7.fc7
Aug 27 11:13:55 Updated: lzo-devel.i386 2.02-4.fc7
Aug 27 11:14:39 Updated: lm_sensors.i386 2.10.4-50.fc7
Aug 27 11:14:41 Updated: libraw1394.i386 1.2.1-9_10.fc7
Aug 27 11:14:42 Updated: ipw2200-firmware.noarch 3.0-9.at
Aug 27 11:14:44 Updated: xvidcore.i386 1.1.3-11.fc7
Aug 27 11:14:55 Updated: lirc.i386 0.8.3-69_cvs20070806.fc7
Aug 27 11:15:20 Updated: mplayer.i386 4:1.0-60_r23482.fc7
Aug 27 11:15:22 Updated: mpeg2dec.i386 0.4.1-3.fc7
Aug 27 11:18:22 Installed: squashfs-tools.i386 3.2-1
Aug 27 11:18:31 Installed: pykickstart.noarch 1.1.1-1.fc7
Aug 27 11:18:33 Installed: livecd-tools.noarch 009-1.fc7
Aug 27 19:44:20 Installed: libbdevid-python.i386 6.0.9-7.1
Aug 27 19:44:22 Installed: python-pyblock.i386 0.27-3
Aug 27 19:44:24 Installed: pyparted.i386 1.8.5-4.fc7
Aug 27 19:44:26 Installed: booty.noarch 0.85-1
Aug 27 19:44:39 Installed: zenity.i386 2.18.2-1.fc7
Aug 27 19:45:31 Installed: anaconda.i386 11.2.0.66-1
Aug 27 19:46:04 Installed: busybox-anaconda.i386 1:1.2.2-8.fc7
Aug 27 19:46:09 Installed: anaconda-runtime.i386 11.2.0.66-1
Aug 29 13:04:37 Updated: elfutils-libelf.i386 0.129-1.fc7
Aug 29 13:05:30 Updated: popt.i386 1.10.2.1-1.fc7
Aug 29 13:06:24 Updated: elfutils-libs.i386 0.129-1.fc7
Aug 29 13:07:19 Installed: libdirect-1.0_0.i386 1.0.0-14.fc7
Aug 29 13:08:22 Installed: libfusion-1.0_0.i386 1.0.0-14.fc7
Aug 29 13:09:38 Installed: libdirectfb-1.0_0.i386 1.0.0-14.fc7
Aug 29 13:09:40 Updated: elfutils.i386 0.129-1.fc7
Aug 29 13:09:42 Updated: elfutils-libelf-devel.i386 0.129-1.fc7
Aug 29 13:10:21 Updated: liboil.i386 0.3.12-9.fc7
Aug 29 13:10:24 Installed: fakeroot.i386 1.6.4-15.fc7
Aug 29 13:10:25 Updated: elfutils-devel.i386 0.129-1.fc7
Aug 29 13:10:26 Updated: elfutils-libelf-devel-static.i386 0.129-1.fc7
Aug 29 13:10:32 Updated: directfb.i386 1.0.0-14.fc7
Aug 29 13:10:39 Updated: liberation-fonts.noarch 0.2-1.fc7
Aug 29 13:10:44 Updated: yumex.noarch 2.0.1-1.fc7
Aug 29 13:11:56 Updated: rpm-libs.i386 4.4.2.1-1.fc7
Aug 29 13:12:05 Updated: rpm.i386 4.4.2.1-1.fc7
Aug 29 13:12:08 Updated: rpm-python.i386 4.4.2.1-1.fc7
Aug 29 13:12:11 Updated: rpm-build.i386 4.4.2.1-1.fc7
Aug 29 13:12:15 Updated: rpmdevtools.noarch 6.1-0.1.fc7
Aug 29 13:32:26 Erased: wvdial
Aug 29 13:32:31 Erased: ifd-egate
Aug 29 13:32:41 Erased: esc
Aug 29 13:33:38 Erased: pcsc-lite
Aug 29 13:33:43 Erased: coolkey
Aug 29 13:35:01 Erased: ccid
Aug 30 11:48:47 Updated: qt.i386 1:3.3.8-6.fc7
Aug 30 11:52:01 Updated: control-center.i386 1:2.18.0-20.fc7
Aug 30 11:52:46 Updated: cryptsetup-luks.i386 1.0.5-4.fc7.1
Aug 30 11:52:52 Updated: perl-Net-DNS.i386 0.61-1.fc7
Aug 30 11:52:55 Updated: dcraw.i386 8.77-1.fc7
Aug 30 11:52:58 Updated: kde-filesystem.noarch 3.5-13.fc7
Aug 30 11:52:59 Updated: crontabs.noarch 1.10-15.fc7
Aug 30 11:53:06 Updated: ntp.i386 4.2.4p2-3.fc7
Aug 30 11:53:46 Updated: qt-devel.i386 1:3.3.8-6.fc7
Aug 30 11:53:50 Updated: tar.i386 2:1.15.1-27.fc7
Aug 30 11:55:02 Updated: gdm.i386 1:2.18.4-2.fc7
Aug 30 19:47:33 Installed: alsa-plugins-jack.i386 1.0.14-2.fc7
Aug 30 19:47:37 Installed: jack-audio-connection-kit-example-clients.i386
0.103.0-1.fc7
Aug 30 19:47:38 Installed: audacious-plugins-jack.i386 1.3.5-2.fc7
Aug 30 19:47:39 Installed: akode-jack.i386 2.0.1-6.fc7
Aug 30 19:47:40 Installed: csound-jack.i386 5.03.0-13.fc7
Aug 30 19:49:17 Installed: alsaplayer.i386 0.99.80-0.rc2.2.fc7
Aug 30 19:49:42 Installed: qjackctl.i386 0.2.20-7.fc6
Aug 30 19:50:46 Installed: lash.i386 0.5.1-11.fc7
Aug 30 20:17:44 Installed: dssi.i386 0.9.1-10.fc6
Aug 30 20:19:03 Installed: audacious.i386 1.3.2-1.fc7
Aug 30 20:20:26 Installed: elisa.noarch 0.3.1-1.fc7
Aug 30 20:20:29 Installed: audacious-plugins-nonfree-lame.i386 1.3.5-1.lvn7
Aug 30 20:20:30 Installed: fluidsynth.i386 1.0.7-8.a.fc6
Aug 30 20:20:32 Installed: gstreamer-ffmpeg.i386 0.10.2-2.lvn7
Aug 30 20:22:34 Installed: dia.i386 1:0.96.1-2.fc7
Aug 30 20:22:37 Installed: audacious-plugins-nonfree-aac.i386 1.3.5-1.lvn7
Aug 30 20:22:41 Installed: amarok-extras-nonfree.i386 1.4.4-1.lvn7
Aug 30 20:22:43 Installed: audacious-plugins-nonfree-alac.i386 1.3.5-1.lvn7
Aug 30 20:22:46 Installed: audacious-plugins-nonfree-wma.i386 1.3.5-1.lvn7
Aug 30 20:22:48 Installed: audacious-plugins-arts.i386 1.3.5-2.fc7
Aug 30 20:22:49 Installed: audacious-plugins-nonfree-mp3.i386 1.3.5-1.lvn7
Aug 30 20:23:09 Installed: audacity.i386 1.3.2-14.fc7
Aug 30 20:23:11 Installed: dssi-examples.i386 0.9.1-10.fc6
Aug 30 20:23:13 Installed: audacious-plugins-nonfree-mms.i386 1.3.5-1.lvn7
Aug 30 20:23:39 Installed: xine.i386 0.99.5-1.lvn7
Aug 30 20:24:36 Installed: csound.i386 5.03.0-13.fc7
Aug 30 20:25:01 Installed: xmms.i386 1:1.2.10-36.99_7.fc7
Aug 30 20:25:06 Installed: fluidsynth-dssi.i386 0.9.1-7.fc6
Aug 30 20:25:06 Erased: festvox-kal-diphone
Aug 30 20:25:35 Erased: gok
Aug 30 20:25:46 Erased: festival
Aug 30 20:25:48 Erased: festvox-slt-arctic-hts
Aug 30 20:25:50 Erased: gnome-speech
Comment 10 Philip Ashmore 2007-08-30 17:31:03 EDT
Did I mention it was intermittent?
I logged out/in recently for updates and hibernated/resumed.
I tried Jack-audio-connection-kit - see
https://bugzilla.redhat.com/show_bug.cgi?id=269301
I noticed from ksysguard that artsd was using 5% user processing which I thought
was a bit high so I restarted it and voila! It's not working.
Comment 11 Philip Ashmore 2007-08-31 11:06:42 EDT
I don't know whether this is a factor - I just upgraded kdelibs to
kdelibs-3.5.7-21.fc7.i386.rpm
I rebooted my laptop and logged in.
I noticed strange behavior when kcontrol/Sound and Multimedia/Sound
System/Hardware/Autodetect - the "General/Test Sound" worked but the
audio System Notifications didn't.
I switched to kcontrol/Sound and Multimedia/Sound System/Hardware/Advanced Linux
Sound Architecture and rebooted/logged in
    * sound notifications and test button work.
I did a hibernate cycle using kpowersave
    * sound notifications and test button work.
I can't tell what sound system kcontrol is "auto-detecting" but the problem
seems to be there.
I just ran another hibernate cycle - still working.
artsd is still using 5% user mode CPU time - is that to be expected?
Fingers crossed...
Comment 12 Rex Dieter 2007-11-02 13:32:46 EDT
reset your config by removing from ~/.kde/share/config:
kcmartsrc
knotifyrc

and try again.  Does that help?
Comment 13 Philip Ashmore 2007-11-04 17:34:37 EST
I went through a few yum update cycles since I reported the problem.
Sound is now functional.
I removed the files you mentioned anyway.
knotifyrc was recreated, kcmartrc wasn't.
Sound is still functional.

FYI I also tried using nvidia's closed source driver and it hibernated /
recovered but the text mode hibernate process once showed a directory listing(!)
instead of the pre-hibernate text, leading me to suspect that something's up
with the memory paging.

I don't have that problem with the nv driver but I've had some problems when
running apps that consume a lot of memory (>500MB) e.g. Sun Java jdk1.6.0_05 /
Netbeans IDE.
Oh and I also tried Beryl / Compiz / Compiz-fusion, with inconsistent and
non-repeatable results. I'm now back to 'regular' KDE.
The 'sluggishness' continues even after I shut the apps down, and ps -ef doesn't
list them.

Physical ram: 256MB
Swap partition: 524 MB

The problem goes away when I reboot.

This seems like a more insidious problem. When something doesn't work it's easy
to describe and communicate to others, but when it 'feels sluggish' that's more
abstract.
Memory corruption is like that.
I guess these are notes for another bug report...
Comment 14 Rex Dieter 2007-11-04 18:03:52 EST
OK, so, as far as this particular issue, we can consider it closed?
Comment 15 Philip Ashmore 2007-11-05 19:42:16 EST
Sound now works across hibernations.

I have a feeling that the sound code itself isn't the cause of the problem and
that other changes have caused the original problem to hose something less obvious.

That was why I provided the seemingly unrelated information above.
It wasn't as if someone
1. identified the symptoms of a problem
2. could reproduce it in a lab
3. identified the core cause
4. created an update for review in the 'testing' repo

That's why I dislike the notion of marking this bug as 'closed'. The problems I
had were (are?) symptoms of a bug elsewhere.

Ideally I'm talking about adding a new 'resolution' - SYMPTOM_NOT_CAUSE

This resolution would mean that investigation uncovered the fact that the
problems were symptoms of a bug elsewhere - there was never a bug in the sound
system.

Of course determining the source of the underlying bug is another matter. If you
didn't uncover a bug in the sound system / interaction with hibernation then I
would guess it's in the hibernate code.

Thanks.
Comment 16 Philip Ashmore 2007-11-07 11:51:40 EST
Created attachment 250401 [details]
next to most recent log
Comment 17 Philip Ashmore 2007-11-07 11:52:18 EST
Created attachment 250421 [details]
most recent log
Comment 18 Philip Ashmore 2007-11-07 11:58:31 EST
Well, would you believe it, sound is acting up again!
It must have been my resent yum update(s) - see attachments above.
I've listed my observations below, most recent kernel first

kernel                       status
============================ ===============================================
kernel-2.6.23.1-21.fc7       sound non-functional on resume
kernel-debug-2.6.23.1-21.fc7 sound non-functional on second hibernate cycle !?!
kernel-2.6.23.1-10.fc7       sound non-functional on resume
kernel-debug-2.6.23.1-10.fc7 sound non-functional on resume

Notes:
1. On the resume text screen I noticed the message (2.6.23.1-21 and
debug-2.6.23.1-21)
    trying to free already freed resource irq 10
2. The screen saver (Desktop distortions/Science) reveals the desktop as the
    'lens' travels across the screen but is either garbled or black where the
    lens hasn't visited yet
3. Only the debug kernels show the resume percent complete progress in text
    mode.
4. I've gotten the message
    cpu frequency change failed (or something similiar) when machine starts up
    for as long as I've used Fedora

Hope this helps
Comment 19 Rex Dieter 2007-11-07 12:24:33 EST
> That's why I dislike the notion of marking this bug as 'closed'. The problems I
> had were (are?) symptoms of a bug elsewhere.

Right, most certainly not to be considered an 'arts' issue anymore, reassigning
-> kernel (that's where sound drivers live).
Comment 20 Christopher Brown 2008-01-10 13:56:45 EST
Hello Philip,

Could I trouble you for an update on this issue as well? 
Comment 21 Philip Ashmore 2008-01-10 14:37:26 EST
I recently ran yum update - my software is current.
I'm using the nvidia kernel module.
I used kpowersave's suspend to disk context menu (secondary mouse click).
  The sound clicked (on and off I presume)
  The display light on the laptop went on and off at the same time
  The disk light being constantly on gave me the hint that the memory image was
being written to disk (but no progress messages displayed in text mode).
  The system powered off.
When I rebooted
  The system commenced it's resume operation (no boot display options).
  The text mode display indicated its progress.
  The display went black but the backlight was on.
  The caps lock light didn't respond to the caps lock key.
  The hard disk light being on indicated that it was loading the memory image
from disk.
  The hard disk light resumed its occasional flashes indicatiing normal activity.
  The caps lock light didn't respond to the caps lock key.
  The power off button responded and (from looking at the hard disk light) the
system seemed to enter it's power off activity, but the system didn't shut down
completely.
  Holding down the power off button causing a "hard power off" was the only way
to shut down the machine.
Comment 22 Philip Ashmore 2008-02-03 08:39:40 EST
I've switched back to the "nv" NVidia kernel module and hibernation (and sound)
seems OK for now, alkthough the 3D performance obviously sucks.

It doesn't work with NVidia's closed source driver or the Nouveau driver.

I know that reporting a bug against the NVidia closed source driver is pointless.

I couldn't find an entry for xorg-x11-drv-nouveau - could someone add this?

I'm currently downloading updates that include kdebase-3.5.8-31.fc8 - I hope
this is enough information to specify the update batch.

If I see a problem with this update batch I'll report back, otherwise I would
consider this bug closed.
Comment 23 Philip Ashmore 2008-03-06 16:29:02 EST
I has a resume-from-hibernate lock-up with the above setup - once.

I updated to kdebase-3.5.9-3.fc8 and the same thing happened - once so far.

I've probably hibernated/resumed dozens of times so these stats are better than
before, but obviously once is one time too many if you forget to save all your
files - kind of defeats the purpose of hibernate.

I also tried kmod-nvidia-96xx with hibernate - still freezes on resume.
Comment 24 Gian Paolo Mureddu 2008-04-14 22:13:04 EDT
I'm seeing this behavior on my system as well. However, I do not have an nVidia
graphics card, but an ATi, and this happens with both the fglrx driver and the
radeonhd driver. For reasons that are beyond my understanding, the ALSA drivers
in the stock kernel no longer work with my sound setup (despite all I have
tried), so I was "forced" to install ALSA from scratch (and source), but I only
installed the driver (which also installs an initialization script). Upon
resuming from hibernation I was able to get back my sound, but I had to
"restart" the sound using the alsasound initscript. Before it would work I had
to exit the session, change to a system terminal, change runlevel to 3, and kill
the X server (as since Fedora 8 init 3 doesn't seem to imply a kill of the X
server anymore). I was then able to restart the sound (unload/reload the
modules) and sound was back. I'm not sure what component is at fault when sound
stops responding across hibernation and resume cycles, but it is much more
critical (or apparent) when you hibernate the session with an audio application
open (not playing).

Unlike the original poster, I am using GNOME and PulseAudio.
Comment 25 Philip Ashmore 2008-04-21 23:03:30 EDT
See https://bugzilla.redhat.com/show_bug.cgi?id=441644 for my other report as
it's more recent, but still deals with the same basic problem - hibernation.

I haven't had any problems since that report, but I'm hoping to use the Kernel
AGP (Option NvAGP "2") and VGA=791 again. The science screen saver still
occasionally displays garbage on resume.

If you are using kmod-fglrx with an Intel motherboard, take a look at
http://www.fedorafaq.org/#radeon in the section beginning with "If you have an
Intel motherboard".

Good luck.
Comment 26 Bug Zapper 2008-05-14 09:45:05 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 27 Philip Ashmore 2008-05-29 05:10:56 EDT
This problem has returned recently so I'm requesting that this bug is bumped to
Fedora 8.

The only sound input I can hear is the built-in microphone.

Everything worked even after hibernate until I recently re-installed from the
Fedora 8 KDE cd and updated.

I've removed the pulseaudio RPMs due to other sound problems, if that helps.

 SMOLT
=======
http://www.smolts.org/client/show/?uuid=pub_97175f49-87f6-40f4-bf70-98cee3851809

As far as I know the "Texas Instruments PCI4451 PC card Cardbus Controller"
works "out of the box" but I can't update it even with my admin password - I've
updated the others.
Comment 28 Philip Ashmore 2008-06-02 01:49:23 EDT
After hibernation I can use alsamixer to turn the built-in microphone on/off -
it works!
However aplay gets stuck trying to play a sound
    $ aplay /usr/share/sounds/alsa/Front_Center.wav

I attached to this with kdbg after
    # debuginfo-install alsa-utils
and obtained a stack dump - I will attach the snapshot I took of it for your
information.
Comment 29 Philip Ashmore 2008-06-02 01:50:52 EDT
Created attachment 307332 [details]
snapshot of kdbg's stack dump window
Comment 30 Bug Zapper 2008-11-26 02:37:11 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 31 Bug Zapper 2009-01-09 02:11:26 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.